%define module Gtk2-Deprecated
%define fmodule Gtk2/Deprecated

Summary: Perl module for deprecated gtk+-2.x widgets
Name:    perl-%module
Version: 0.05
Release: 3mdk
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  http://asofyet.org/muppet/software/gtk2-perl/%module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+2-devel perl-devel perl-ExtUtils-Depends perl-Gtk2 > 1.00

%description
This module provides perl access to the widgets that were deprecated
in gtk+2.x.


%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{_mandir}/*/*
%{perl_vendorarch}/%fmodule
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule
%{perl_vendorarch}/Gtk2/*.pod

%changelog
* Wed Dec 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-3mdk
- rebuild for new perl

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-2mdk
- rebuild for perl-5.8.5

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-1mdk
- new release

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.03-1mdk
- new release

* Mon Jan 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-1mdk
- new release
- remove patch 0 (merged upstream)

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-1mdk
- initial release
